DF(1)

NAZWA
df - raport wolnego i zajętego miejsca na dysku

SKŁADNIA
df [opcja]... [plik]...

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo df
lub
    info df.

Ta strona podręcznika opisuje polecenie df w wersji GNU.

df wyświetla rozmiar przestrzeni dyskowej wykorzystanej i dostępnej na systemach plików, zawierającym każdy z podanych argumentów nazw pliku. Jeśli nie podano żadnej nazwy pliku, pokazywana jest ilość miejsca wykorzystanego i dostępnego na wszystkich zamontowanych systemach plików. Przestrzeń jest mierzona w blokach po 1K, ale może to zostać unieważnione, m.in. przez zdefiniowanie zmiennej środowiskowej POSIXLY_CORRECT (w tym przypadku używane są bloki po 512B). Więcej na ten temat znajdziesz w sekcji `Rozmiar bloku' podręcznika fileutils(1).

Jeśli argument jest absolutną nazwą pliku węzła urządzenia dyskowego, zawierającego podmontowany system plików, to df pokazuje ilość miejsca dostępną na tym systemie plików, a nie na systemie plików, zawierającym węzeł urządzenia (tj. systemie root). Ta wersja df nie potrafi pokazywać miejsca dostępnego na niezamontowanych systemach plików, ponieważ na większości rodzajów systemów zrobienie tego wymaga wielce nieprzenośnej i dogłębnej wiedzy o strukturach danego systemu plików.

  OPCJE

-a, --all
    Ujmuje w zestawieniu systemy plików, mające zero bloków (które domyślnie są pomijane). Takie systemy plików są typowo pseudo systemami przeznaczonymi do specjalnych zadań, takich jak wpisy automountera. Również systemy plików typu ignore lub auto, obsługiwane przez niektóre systemy operacyjne, są włączane do raportu wyłącznie dzięki tej opcji.

--block-size=rozmiar
    Używa bloków o wielkości rozmiar bajtów.

-h, --human-readable
    Pokazuje objętości w postaci czytelniejszej dla człowieka, dodając literowe przyrostki określające potęgi 1024, np. `M' dla megabajtów. `M' oznacza 1.048.576 bajtów. Jeżeli wolisz potęgi 1000 - użyj opcji -H (--si).

-H, --si
    Podobnie jak --human-readable, ale posługuje się potęgami 1000 a nie 1024. (SI - Międzynarodowy System Miar definiuje przyrostki potęg 1000). Przy zastosowaniu tej opcji przyrostek `M' oznacza 1.000.000 bajtów. Posłuż się opcją -h (--human-readable), jeśli wolisz potęgi 1024.

-i, --inodes
    Wypisuje użycie i-węzłów zamiast użycia bloków. I-węzeł (inode, skrót od "index node" /węzeł indeksowy/) jest specjalnym rodzajem bloku dyskowego, który zawiera dane dotyczące pliku jak np. jego właściciele, prawa, czasy pliku i położenie na dysku.

-k, --kilobytes
    Pokazuje rozmiary w blokach 1024-bajtowych (kilobajtach). Jak --block-size=1024. Przesłania to domyślną wielkość bloku. Zobacz `Rozmiar bloku' w fileutils(1).

-l, --local
    Ogranicza raport do lokalnych systemów plików. Domyślnie wykazywane są także zdalne systemy plików.

-m, --megabytes
    Podobnie jak --block-size=1048576.

--no-sync
    Nie wywołuje sync przed uzyskaniem informacji o zajętości. Powoduje to, że df działa znacząco szybciej na systemach z wieloma dyskami, ale na niektórych systemach (szczególnie SunOS) wyniki mogą być nieco nieaktualne. Jest to zachowanie domyślnie.

-P, --portability
    Używa formatu wyjściowego POSIX-a. Jest on taki jak domyślny format, poza tym, że:
        1. Dla każdego systemu plików dane go dotyczące są zawsze wypisywane w dokładnie jednym wierszu; urządzenie montowane nigdy nie jest wstawiane w linii samo. Znaczy to, że jeśli nazwa montowanego urządzenie jest dłuższa niż 20 znaków (jak w przypadku niektórych zamontowanych systemów sieciowych), to kolumny będą źle wyrównane. 2. Wartości niecałkowite wypisywane są jako liczby całkowite z zaokrągleniem w górę, zamiast arytmetycznego zaokrąglania do najbliższej całkowitej. 3. Etykiety w wierszu nagłówkowym zmienione są tak, by wypełnić wymagania POSIX.

-sync
    Przed uzyskaniem informacji o zajętości wywołuje funkcję systemową sync. Na niektórych systemach (szczególnie SunOS) zyskuje się bardziej aktualne wyniki, ale ogólnie opcja ta spowalnia działanie df, szczególnie przy wielu lub bardzo obciążonych systemach plików.

-T, --print-type
    Dla każdego systemu plików wypisuje jego typ. Użyte tu typy plików są tymi samymi, które można włączać lub pomijać opcjami -t i -x. Konkretne wypisywane wartości typu zależą od tego, co obsługuje dany system. Poniżej podano kilka powszechnych nazw (ta lista z pewnością nie jest wyczerpująca):

    nfs System plików NFS, tj. zamontowany poprzez sieć z innej maszyny. Wydaje się, że jest to jedyna nazwa systemu plików używana jednolicie we wszystkich systemach.

    4.2, ufs, efs...
        System plików na lokalnie zamontowanym dysku twardym. (System może obsługiwać więcej niż jeden typ tego rodzaju: robi to Linux).

    hsfs, cdfs
        System plików na dysku CD-ROM. HP-UX używa nazwy cdfs, większość pozostałych systemów posługuje się nazwą hsfs (`hs' od `High Sierra').

    pcfs
        System plików MS-DOS, zwykle na dyskietce.

-t, --type=typ_fsfR
    Ogranicza raport do systemów typu typ_fs. Można wykluczyć więcej niż jeden typ systemu podając opcję -t wielokrotnie. Domyślnie nie są pomijane żadne typy systemów plików.

-x, --exclude-type=typ_fs
    Nie ujmuje systemów plików typu typ_fs. Więcej typów systemów można wykluczyć podając opcję -x wielokrotnie. Domyślnie nie są pomijane żadne typy systemów plików.

-v  Ignorowana; istnieje dla zgodności z wersjami df z Systemu V.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

AUTOR
Napisane przez Torbjorna Granlund, Davida MacKenzie, Larry'ego McVoy oraz Paula Eggert.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
du(1), sync(1), sync(2), fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.